select_vars      = {'Patent__diff','dtfp__util'};
proxies          = DATASET.TSERIES(:,cell2mat(values(DATASET.MAP,select_vars)));

proxy = proxies(opt.p+1:end,:);
civs  = nan(opt.Kdraws,size(proxy,2));

for jj = 1:length(shockind)
    
    j = shockind(jj);
    
    for i = 1:opt.Kdraws
        
        temp = corrcoef([Shocks(:,j,i) proxy]);
        civs(i,:) = temp(1,2:end);
    
    end
    
    figure
    plot(civs)
    disp('shock')
    disp(j)
    disp(mean(civs))
    
end
    
    