function PX = pmfev_max(bB,Pchol,n,nlag,variable,hmin,hmax,smin,smax,normind)

S  = eye(n*nlag,n*nlag);
ei = S(variable,:);      
SI = zeros(n*nlag);
for kk = hmin:hmax
    O12 = tvar(bB,Pchol,ei'*ei,n,nlag,kk);
    SI  = SI+O12;
end

[Q,lam]   = eig(SI(smin:smax,smin:smax));
[~, Zidx] = sort(diag(lam),'descend');
Qstar     = Q(:,Zidx);

PX        = Pchol*blkdiag(eye(smin-1),Qstar,eye(n-smax)); 

POS       = ([bB';eye(n*(nlag-1),n*nlag)]^normind)*[PX;zeros(n*(nlag-1),n)];
if POS(variable,smin) < 0
    PX(:,smin) = -PX(:,smin);
end

end



