function y = f_h(x,info)

% mapping form (Llambda0,Llambdaplus,Q1,Q2) -> (A0tilde,A+tilde)
n               = info.n;
k               = info.k;
ntilde          = info.ntilde;
mtilde  = info.mtilde;


Llambda0    = reshape(x(1:ntilde*ntilde),ntilde,ntilde);
Llambdaplus = reshape(x(ntilde*ntilde+1:(ntilde*ntilde+mtilde*ntilde)),mtilde,ntilde);
Qtilde1          = reshape(x((mtilde+ntilde)*ntilde+1:(mtilde+ntilde)*ntilde+n*n),n,n);
Qtilde2          = reshape(x((mtilde+ntilde)*ntilde+n*n+1:end),k,k);

Q1 = Qtilde1';
Q2 = Qtilde2';

Q = [Q1,zeros(n,k);
     zeros(k,n),Q2];
 
Qtilde = [Qtilde1,zeros(n,k);
          zeros(k,n),Qtilde2];

A0tilde    = Llambda0*Qtilde;
Aplustilde = Llambdaplus*Qtilde;


y=[reshape(A0tilde,ntilde*ntilde,1); reshape(Aplustilde,mtilde*ntilde,1);];

