function [Llambda0, Llambdaplus] = DrawPosterior_SBVAR(SBVAR)


Llambda0 = RestrictedGeneralizedGaussianDraw(zeros(SBVAR.ntilde,SBVAR.ntilde),SBVAR.ntilde,SBVAR.nuhat,SBVAR.UThat);

for i=1:SBVAR.ntilde
  
    
    if  Llambda0(i,i)<0
        
        Llambda0(:,i) =-Llambda0(:,i);
        
    end
    
end


Llambdaplus = zeros(SBVAR.mtilde,SBVAR.ntilde);

for j=1:SBVAR.ntilde
    
    bj = SBVAR.U{j}'*Llambda0(:,j);

    Llambdaplus(:,j)  = SBVAR.V{j}*(SBVAR.Pjhat{j}*bj + chol(SBVAR.Hjhat{j})'*randn(size(SBVAR.Hjhat{j},2),1));
    

end
