function [nu_tilde, Phi_tilde, Psi_tilde, Omega_tilde_inv] = SBVAR_PosteriorParameters(nu, Phi, Psi, Omega_inv, Y, X)



T               = size(Y,1);
ntilde          = size(Y,2);
nu_tilde        = T + nu;
Omega_tilde_inv = kron(eye(ntilde),X'*X) + Omega_inv;
Psi_tilde       = Omega_tilde_inv\(kron(eye(ntilde),X'*Y) + Omega_inv*Psi);
Phi_tilde       = kron(eye(ntilde),Y'*Y) + Phi + Psi'*Omega_inv*Psi - Psi_tilde'*Omega_tilde_inv*Psi_tilde;

