%% ******
Draws_FEVDs  = nan(ntilde,ntilde,Hz+1,numDesireddraws);
Draws_Shocks = nan(T,ntilde,numDesireddraws);
Ltilde       = zeros(Hz+1,ntilde,ntilde,numDesireddraws);       % define array to store IRFs
cumLtilde    = zeros(Hz+1,ntilde,ntilde,numDesireddraws);       % define array to store cumulative IRFs

for s = 1:numDesireddraws
    
    LIRF  = IRF_horizons([reshape(A0tilde(:,:,s),ntilde*ntilde,1);reshape(Aplustilde(:,:,s),(ntilde*n_lags+nex)*ntilde,1);], ...
                          ntilde, n_lags, ntilde*n_lags+nex, 0:Hz);
    for h=0:Hz
        Ltilde(h+1,:,:,s) =  LIRF(1+h*ntilde:(h+1)*ntilde,:);
        for i=1:ntilde
            cumLtilde(h+1,:,i,s)  = sum(Ltilde(1:h+1,:,i,s),1);
        end
    end
    
end

Draws_IRFs = permute(Ltilde,[2 3 1 4]);

for s = 1:numDesireddraws
    
    IRFs                 = Draws_IRFs(:,:,:,s);
    Draws_FEVDs(:,:,:,s) = varianceDecompositionOfVAR(IRFs,Hz);
    Draws_Shocks(:,:,s)  = Y*A0tilde(:,:,s) - X*Aplustilde(:,:,s);
    
end
