function [IRF] = getIRFs_diff(BETA,A0,exog,n,p,hmax)

%  UNTITLED2 Summary of this function goes here
%  Detailed explanation goes here
BB = BETA(size(exog,2)+1:end,:);

F = [BB';  [eye(n*(p-1)) zeros(n*(p-1),n)]];
F = [F zeros(n*p,n)];
F = [F;F(1:n,:)-F(n+1:2*n,:)];

J = [zeros(n,n*p) eye(n)];
A0inv = inv2(A0);
J_diff = [A0inv';zeros(n*(p-1),n);A0inv'];

IRF = nan(n,n,hmax+1);

for h = 0:hmax
    IRF(:,:,h+1) = J*F^h*J_diff;
end

end

